const s = require("fs").readFileSync(0, "utf8").toString().trim();
let flag = 1;
for(let i=0; i<s.length/2; i++){
    if(s[i]!=s[s.length-i-1]){
        flag = 0;
        break;
    }
}
console.log(flag);